<ion-header>
  <ion-toolbar>
    <ion-buttons slot='start'>
      <ion-back-button defaultHref='tabs/home'></ion-back-button>
    </ion-buttons>
    <ion-title>{{ 'common.modulo' | translate }}</ion-title>
<!--    <ion-buttons slot="primary">
      <ion-button color="primary">
        <ion-icon slot="icon-only"  size='large' slot='end'
                  name="help-outline" class='custom'>
        </ion-icon>
      </ion-button>
    </ion-buttons>-->
  </ion-toolbar>
</ion-header>

<ion-content fullscreen='true'>
  <ion-header collapse='condense'>
    <ion-toolbar class='custom-toolbar'>
      <ion-title size='large' color='dark'>
        <div class='toolbar-title'>{{ 'common.modulo' | translate }}</div>
      </ion-title>
    </ion-toolbar>
  </ion-header>
<ion-list>
  <ion-item-group *ngIf='service'>
    <ion-item-divider>
      <ion-label>{{ 'allegati.file_di_richiesta' | translate }}</ion-label>
    </ion-item-divider>
  <ion-item detail='false' *ngFor='let mod of service.compiled_modules'>
    <ion-icon name="document-attach-outline" slot='start' ></ion-icon>
    <ion-label class='ion-text-wrap'>{{mod.name}}</ion-label>
    <ion-icon name="download-outline" slot='end' (click)="downloadFile(mod.url)"></ion-icon>
  </ion-item>
  </ion-item-group>
  <ion-item-group *ngIf='service'>
    <ion-item-divider>
      <ion-label>{{ 'allegati.documenti_allegati' | translate }}</ion-label>
    </ion-item-divider>
    <ion-item detail='false' *ngFor='let att of service.attachments'>
      <ion-icon name="document-attach-outline" slot='start'></ion-icon>
      <ion-label class='ion-text-wrap'>{{att.name}}</ion-label>
      <ion-icon name="download-outline" slot='end' (click)="downloadFile(att.url)"></ion-icon>
    </ion-item>
  </ion-item-group>
</ion-list>
</ion-content>
